#
# spec file for package patterns-hpc
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           patterns-hpc
Version:        20240315
Release:        1.2
Summary:        Source Package for HPC Patterns
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
Source1:        library-inc.txt
Source2:        devel-inc.txt
Source10:       patterns-hpc-rpmlintrc
BuildRequires:  patterns-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  x86_64 aarch64

%description
This is an internal package that is used to create the patterns as part of
the installation source setup.  Installation of this package does not make
sense.
This particular package contains all the HPC related patterns.











################################################################################
%package libraries
%pattern_serverfunctions
Summary:        HPC Modularized Libraries
Group:          Metapackages
Provides:       pattern() = hpc_libraries
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 2030

Requires:       gnu-compilers-hpc-devel
Requires:       lua-lmod

%include %{SOURCE1}
%include %{SOURCE2}

%description libraries
This package provides all the modularized libraries so that they can be used in an HPC environment. These libraries allow to install several MPI flavors in parallel.
In order to use these libraries one needs to load them via the module command first.

%files libraries
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/patterns-hpc-libraries.txt

%prep

%build

%install

mkdir -p "%{buildroot}%{_defaultdocdir}/patterns"
# loop sis odd, but we might want to add more patterns
for pack in  patterns-hpc-libraries ; do
    echo "This file marks the pattern $pack in version %{version} to be installed." \
		>"%{buildroot}%{_defaultdocdir}/patterns/${pack}.txt"
done

%changelog
* Fri Mar 15 2024 Christian Goll <cgoll@suse.com>
- removed following node based patterns which were used in the
  system roles of the now removed SUSE HPC product (bsc#1221478).
  * compute_node as these nodes are now image based
  * development_node as this was just a nice name for the
    devel_libraries
  * workload_server as slurm the workload manager pulls the
    recommended packages
* Wed Jan 25 2023 Thorsten Kukuk <kukuk@suse.com>
- Don't recommend ypbind, it's deprecated and will be removed
* Fri Apr 29 2022 Egbert Eich <eich@suse.com>
- Remove occurrances of openmpi2 - which is obsolete
- Replaced occurrances of openmpi3 with openmpi4 (bsc#1199013).
* Tue Jan 25 2022 Christian Goll <cgoll@suse.com>
- removed missing packages (bsc#1194956)
* Thu Apr 16 2020 Christian Goll <cgoll@suse.com>
- added iputils to relevant patterns (bsc#1169484)
* Wed Mar 18 2020 Christian Goll <cgoll@suse.com>
- removed is_opensuse which was used to mark packages wiich are not
  in SLES. They are now Recommended and not Required (jsc#SLE-12109)
* Thu Mar 28 2019 Christian Goll <cgoll@suse.com>
- added missing packages (bsc#1130814).
* Mon Feb 18 2019 cgoll@suse.com
- added the new packages for sle15sp1 and leap15.1
* Tue Aug 14 2018 cgoll@suse.com
- added cmake to development pattern
* Mon May 14 2018 eich@suse.com
- Add gnuplot and gnuplot-doc as a Recommends: to development node
  (bsc#1093138).
- Remove python3-numpy from the Recommends: as we already have the
  modularized version of it.
* Fri May  4 2018 cgoll@suse.com
- added openmpi2 documentation package (bsc#1091714)
* Fri Apr 20 2018 eich@suse.com
- Fix new pattern workload_server: add missing provides
  (bsc#1089511).
* Mon Apr 16 2018 eich@suse.com
- Fixed wordings in some descriptions (bsc#1089719).
* Fri Apr 13 2018 cgoll@suse.com
- created new pattern workload_server for slurmctld (bsc#1089511)
* Tue Apr 10 2018 cgoll@suse.com
- added mrsh-server as recommended as bug fix for bsc#1088689
* Wed Apr  4 2018 cgoll@suse.com
- added sudo to the hpc_compute_node pattern (bsc#1087938)
- added slurm-node as recommends to the hpc_compute_node
  (bsc#1087940)
- added ypbind to the hpc_compute_node pattern (bsc#1087935)
- replaced explcit requires with the pattern devel_basis
* Tue Mar 27 2018 cgoll@suse.com
- removed mvapich-psm package as requires for hpc_library and
  mvapich2-psm2 is only recommended for x86_64 (bsc#1087038)
- removed tau libraries and parallel netcdf-devel libraries
* Mon Mar 26 2018 eich@suse.com
- Prepended HPC to 'Summary' tags to make sure
  entries are nicely sorted on YaST.
- Made sure entries were brief (bsc1086828).
* Mon Mar 26 2018 cgoll@suse.com
- made compute node pattern visible (bsc#1086828)
- fixed typos
* Mon Mar  5 2018 cgoll@suse.com
- fixed wrong 'Provides: Metapackage'
* Fri Mar  2 2018 cgoll@suse.com
- fixed (bsc#1083728) opempi3 patterns in development node
* Fri Mar  2 2018 cgoll@suse.com
- added more libraries and fixed the names
* Mon Feb 26 2018 cgoll@suse.com
- removed openmpi3 pattern and warning about explict library dep
* Sat Feb 24 2018 eich@suse.com
- Fix Group name.
- Move library file list to an include file.
- General clean up and bug fixes.
* Fri Feb 23 2018 eich@suse.com
- Initial package version of patterns for HPC (FATE#323494).
